Summary: GNU database library for C
Name: gdbm
Version: 1.7.3
Release: 17
Source: ftp://prep.ai.mit.edu/pub/gnu/gdbm-1.7.3.tar.gz
Patch: gdbm-1.7.3-shlib.patch
Copyright: GPL
Group: Libraries
Buildroot: /var/tmp/gdbm-root
Summary(de): GNU-Datenbank-Library fr C
Summary(fr): La librairie GNU de bases de donnes pout le langage C.

%changelog
* Thu May 07 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- gdbm-devel moved to Development/Libraries

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- buildroot and built for Manhattan

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Thu Jun 12 1997 Erik Troan <ewt@redhat.com>
- built against glibc

%description
This is a database indexing library.  It is useful for those who need 
to write C applications and need access to a simple and efficient
database or build C applications which use it.

%package devel
Summary: development libraries and header files for gdbm
Group: Development/Libraries
Requires: gdbm
Prereq: /sbin/install-info
Summary(de): Entwicklungs-Libraries und Header-Dateien fr gdbm 
Summary(fr): Bibliothques de dveloppement et en-ttes pour gdbm
Summary(tr): gdbm iin balk dosyalar ve gelitirme kitaplklar

%description devel
These are the development libraries and header files for gdbm, the
GNU database system.  These are required if you plan to do 
development using the gdbm database.

%description -l de devel
Dies sind die Entwicklungs-Libraries und Header-Dateien fr gdbm, das
GNU-Datenbanksystem. Sie sind darauf angewiesen, wenn Sie vorhaben,
die gdbm-Datenbank fr Entwicklungsarbeiten zu benutzen.

%description -l de
Dies ist eine Datenbank-Index-Library fr Programmierer, die 
C-Anwendungen schreiben und eine einfache und leistungsfhige
Datenbank bentigen oder diese in C-Anwendungen einsetzen mchten.

%description -l fr devel
Ce sont les librairies de dveloppement et les fichiers d'en-tte pour gdbm,
le systme de base de donnes GNU. Ceci est ncessaire si vous dsirez 
dvelopper en utilisant la base de donnes gdbm.

%description -l fr
Une librairie d'indexation de bases de donnes. Elle est utile pour ceux
qui dsirent crivent des applications en C et ont besion d'accder 
une base de donnes simple et efficace ou de construire une application
en C qui l'utilise.

%description -l tr devel
GNU veri taban sistemi gdbm ile program gelitirmek iin gereken balk
dosyalar ve kitaplklar.

%description -l tr
gdbm bir veri taban dizinleme kitapldr. C uygulamalar yazp basit ve
etkin bir ekilde veri tabanna ulamak isteyenler iin yararl olacaktr.

%prep
%setup
%patch -p1 -b .shared
mkdir shared

%build
./configure --prefix=/usr
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" shared

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{lib,include,info,man/man3}
make install prefix=$RPM_BUILD_ROOT/usr
gzip -fn9 $RPM_BUILD_ROOT/usr/info/gdbm*info*
ln -sf libgdbm.so.2.0.0 $RPM_BUILD_ROOT/usr/lib/libgdbm.so

%post -p /sbin/ldconfig

%post devel
/sbin/install-info /usr/info/gdbm.info.gz /usr/info/dir --entry="* gdbm: (gdbm).                   The GNU Database."

%postun -p /sbin/ldconfig

%preun devel
if [ $1 = 0 ]; then
   /sbin/install-info --delete /usr/info/gdbm.info.gz /usr/info/dir --entry="* gdbm: (gdbm).                   The GNU Database."
fi

%files
/usr/lib/libgdbm.so.2.*

%files devel
/usr/lib/libgdbm.so
/usr/man/*/*
/usr/lib/libgdbm.a
/usr/include/*
/usr/info/gdbm*

%clean
rm -rf $RPM_BUILD_ROOT
